/* Always set the map height explicitly to define the size of the div
       * element that contains the map. */

/* Optional: Makes the sample page fill the window. */
html,
body {
  height: 100%;
  color: white;
}

* {
  box-sizing: border-box;
  padding: 0;
  margin: 0;
}

/* White text throughout */

body {
  font-family: sans-serif;
}

/* Make all link text black with no text decoration */
a {
  color: black;
  text-decoration: none;
}

h1 {
  font-size: 30px;
  font-weight: 600;
  margin: 10px 0;
  line-height: 1.2;
}

h2 {
  font-size: 25px;
  font-weight: 300;
  margin: 10px 0;
  line-height: 1.2;
}

/* All images must not be larger than parent container */
img {
  width: 100%;
}

/* No styling on list items */
li {
  list-style-type: none;
}

p {
  font-size: 20px;
  margin: 10px 0;
  color: black;
}

.container {
  margin: 0 auto;
  max-width: 1200px;
  overflow: visible;
}

.navbar {
  background-color: rgb(0, 85, 128);
  height: 8vh;
  padding: 0 30px;
}

.navbar h1 {
  font-size: 30px;
  font-weight: 300;
  margin: 10px 0;
  margin-right: 10px;
  padding: 9px;
  line-height: 1.2;
}

.navbar .flex {
  display: flex;
  justify-content: start;
  align-items: center;
  height: 100%;
}

.navbar ul {
  display: flex;
}

/* Changes the color of both links to white, adds padding between them and margin as well */

.navbar a {
  color: white;
  padding: 5px;
  margin: 0 10px;
}

.navbar a:hover {
  color: #c1acf7;
  border-bottom: 3px solid #c1acf7;
}

.navbar img {
  width: 70px;
  height: 8vh;
  margin-right: 10px;
  margin-left: 10px;
}

.article-container {
  padding-top: 5rem;
  width: 80vw;
  margin: 0 auto;
}

.article-container h1,
.article-container p {
  color: #000000;
}

.map-container {
  height: 100%;
  display: flex;
}

#map {
  width: 100%;
  height: 100%;
}

#legend {
  width: 20vw;
  height: 80%;
  padding: 1rem;
}

.color-container {
  padding-top: 0.5rem;
  text-align: justify;
  margin: 0 auto;
  width: 50%;
}

#legend label {
  color: #000000;
}

span {
  color: #000000;
}

svg {
  position: relative;
  top: 10px;
}

hr {
  margin: 1rem 0;
}

/* toggle in label designing */
.toggle {
  position: relative;
  display: inline-block;
  width: 50px;
  height: 26px;
  background-color: red;
  border-radius: 30px;
  border: 2px solid gray;
}

/* After slide changes */
.toggle:after {
  content: "";
  position: absolute;
  width: 26px;
  height: 26px;
  border-radius: 50%;
  background-color: gray;
  top: -1px;
  left: -1px;
  transition: all 0.5s;
}

/* Checkbox checked effect */
.checkbox:checked + .toggle::after {
  left: 24px;
}

/* Checkbox checked toggle label bg color */
.checkbox:checked + .toggle {
  background-color: green;
}

/* Checkbox vanished */
.checkbox {
  display: none;
}
